Bug 867579 - [RFE] Automatically run katello-upgrade on RPM changes
[RFE] Automatically run katello-upgrade on RPM changes
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Katello QA List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 15:16 EDT by Thom Carlin
Modified: 2013-03-27 16:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-29 11:26:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 867582 None None None 2012-10-17 15:26:54 EDT
Red Hat Bugzilla 867586 None None None 2012-10-17 15:32:49 EDT

  None (edit)
Description Thom Carlin 2012-10-17 15:16:33 EDT
Description of problem:

"yum upgrade katello-all" should automatically run "katello-upgrade"

Version-Release number of selected component (if applicable):

CloudForms 1.1 beta

How reproducible:

Every time

Steps to Reproduce:
1. yum upgrade katello-all
2.
3.
  
Actual results:

katello-upgrade not run

Expected results:

katello-upgrade not run

Additional info:
Comment 2 Lukas Zapletal 2012-10-29 11:12:53 EDT
We have reasons for not running katello-upgrade automatically. First of all, it is interactive. Second, we might need user to do manual steps. Every upgrade process is unique.

Also katello-upgrade turns services off and on, yum should not do that. For production systems, upgrade process must be divided into particular steps:

- backup
- do yum upgrade
- schedule shutdown
- turn services off at given point
- do the upgrade (step by step)
- turn services on

For these reasons I am not givint this RFE devel ack.
Comment 3 RHEL Product and Program Management 2012-10-29 11:26:24 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.